//
//  AASCustomFileOperation.h
//  AASFilesystemTools
//
//  Created by Andreas Schwarz on 9/17/09.
//  Copyright 2009 Immaterial Goods. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AASFileManager.h"

/* This file operation handles file operations not covered by the FSCopyObjectAsync and FSMoveObjectAsync functions: Making aliases, symbolic links, and renaming files. */ 

@interface AASCustomFileOperation : AASQueuedObjectOperation {
	AASFileOperationType operation;
	AASFileOperationStatus operationStatus;
		
	NSInteger originalCount;
	NSInteger completedCount;
}

@property(assign) AASFileOperationType operation;


@end
